Package org.apache.groovy.swing.binding

# Class PropertyPathFullBinding

java.lang.Object
org.apache.groovy.swing.binding.AbstractFullBinding
org.apache.groovy.swing.binding.PropertyPathFullBinding

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`, `BindingUpdatable`, `FullBinding`

public class PropertyPathFullBinding extends AbstractFullBinding implements PropertyChangeListener
A full binding that watches an entire property path rather than a single observable bean property.

- ## Field Summary

  ### Fields inherited from class org.apache.groovy.swing.binding.AbstractFullBinding

  `converter, reverseConverter, sourceBinding, targetBinding, validator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyPathFullBinding()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bind()`
  Attaches listeners across every configured bind path.
  `void`
  `propertyChange(PropertyChangeEvent evt)`
  Refreshes bind-path listeners and propagates the resulting value change.
  `void`
  `rebind()`
  Rebuilds listener registrations when the binding is currently active.
  `void`
  `unbind()`
  Removes listeners from every configured bind path.

  ### Methods inherited from class org.apache.groovy.swing.binding.AbstractFullBinding

  `getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PropertyPathFullBinding

    public PropertyPathFullBinding()

- ## Method Details

  - ### bind

    public void bind()
    Attaches listeners across every configured bind path.
    Specified by:
      `bind` in interface `BindingUpdatable`

  - ### unbind

    public void unbind()
    Removes listeners from every configured bind path.
    Specified by:
      `unbind` in interface `BindingUpdatable`

  - ### rebind

    public void rebind()
    Rebuilds listener registrations when the binding is currently active.
    Specified by:
      `rebind` in interface `BindingUpdatable`

  - ### propertyChange

    public void propertyChange(PropertyChangeEvent evt)
    Refreshes bind-path listeners and propagates the resulting value change.
    Specified by:
      `propertyChange` in interface `PropertyChangeListener`
    Parameters:
      `evt` - the property change event that triggered the refresh